Subject: bug#5721: Feature request: Function that returns absolute coordinates

From: Jan Djärv <[email-masked]>
Date: Fri, 16 Jul 2010 14:20:58 +0200

YAMAMOTO Mitsuharu skrev 2010-07-16 11.14:
>>>>>> On Fri, 16 Jul 2010 08:39:28 +0200, Jan Djärv<[email-masked]>  said:
>
>> How do you find the difference between inner and outer window edges
>> with such a function?
>
> I think the primary intention of the left/top frame parameters are
> coordinates of the top-left corner of the title bar, because
> x_set_offset basically sets the outer window's position to
> f->left_pos, and f->top_pos.  That is also consistent with the
> geometry specification.  In that case, the difference can be computed
> from these frame parameters and the absolute coordinates of top-left
> corner of the frame.

This is not reliable.  Window managers may put decorations on the side, these 
should not be counted.  Besides, left_pos and top_pos is not the corners of 
the title bar under X.

	Jan D.